## org.apache.lucene.util
Class LuceneJUnitDividingSelector

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.selectors.BaseSelector
                  org.apache.tools.ant.types.selectors.BaseExtendSelector
                      org.apache.lucene.util.LuceneJUnitDividingSelector

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.Parameterizable, org.apache.tools.ant.types.selectors.ExtendFileSelector, org.apache.tools.ant.types.selectors.FileSelector

    public class LuceneJUnitDividingSelector

extends org.apache.tools.ant.types.selectors.BaseExtendSelector

Divides filesets into equal groups

Field Summary

Fields inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector
`parameters`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`LuceneJUnitDividingSelector()`

Method Summary
`boolean` `isSelected(File dir, String name, File path)`
`void` `setParameters(org.apache.tools.ant.types.Parameter[] pParameters)`
`void` `verifySettings()`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector
`getParameters`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector
`getError, setError, validate`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LuceneJUnitDividingSelector

    public LuceneJUnitDividingSelector()

Method Detail

### setParameters

    public void setParameters(org.apache.tools.ant.types.Parameter[] pParameters)

  Specified by:
    `setParameters` in interface `org.apache.tools.ant.types.Parameterizable`
  Overrides:
    `setParameters` in class `org.apache.tools.ant.types.selectors.BaseExtendSelector`

### verifySettings

    public void verifySettings()

  Overrides:
    `verifySettings` in class `org.apache.tools.ant.types.selectors.BaseSelector`

### isSelected

    public boolean isSelected(File dir,
                              String name,
                              File path)

  Specified by:
    `isSelected` in interface `org.apache.tools.ant.types.selectors.FileSelector`
  Specified by:
    `isSelected` in class `org.apache.tools.ant.types.selectors.BaseExtendSelector`